summaryrefslogtreecommitdiff
path: root/tests/misc/nice-fail
diff options
context:
space:
mode:
authorEric Blake <ebb9@byu.net>2009-10-23 11:01:25 -0600
committerEric Blake <ebb9@byu.net>2009-10-23 16:32:26 -0600
commit30e4b6e84b7e478121a645515ce891d29cc75105 (patch)
tree57e06495031b200089de106fbf28ac611554eb4f /tests/misc/nice-fail
parent2122247acae6672e2dcfba095dc84cf84bc8ef41 (diff)
downloadcoreutils-30e4b6e84b7e478121a645515ce891d29cc75105.tar.xz
tests: test recent status changes
* tests/misc/nice: Enhance test. * tests/misc/chroot-fail: New test. * tests/misc/env: Likewise. * tests/misc/nice-fail: Likewise. * tests/misc/su-fail: Likewise. * tests/Makefile.am (TESTS): Run new tests.
Diffstat (limited to 'tests/misc/nice-fail')
-rwxr-xr-xtests/misc/nice-fail45
1 files changed, 45 insertions, 0 deletions
diff --git a/tests/misc/nice-fail b/tests/misc/nice-fail
new file mode 100755
index 000000000..da85eb2b7
--- /dev/null
+++ b/tests/misc/nice-fail
@@ -0,0 +1,45 @@
+#!/bin/sh
+# Verify that internal failure in nice gives exact status.
+
+# Copyright (C) 2009 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+if test "$VERBOSE" = yes; then
+ set -x
+ nice --version
+fi
+
+. $srcdir/test-lib.sh
+
+fail=0
+
+# These tests verify exact status of internal failure.
+nice -n 1 # missing command
+test $? = 125 || fail=1
+nice --help --version # too many options
+test $? = 125 || fail=1
+nice --- # unknown option
+test $? = 125 || fail=1
+nice -n 1a # invalid adjustment
+test $? = 125 || fail=1
+nice sh -c 'exit 2' # exit status propagation
+test $? = 2 || fail=2
+nice . # invalid command
+test $? = 126 || fail=1
+nice ... # no such command
+test $? = 127 || fail=1
+
+Exit $fail